Not the answer you need?
Register and ask your own question!

Installing Xtradb cluster on RHEL 7.5

vu3mmgvu3mmg EntrantCurrent User Role Beginner
Hi,
I tried to install Xtradb cluster on RHEL 7.5 . We are getting following dependency error .

Could you please help me with some insights .
regards
Mahesh




[email protected] ~]# yum install Percona-XtraDB-Cluster-57
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-
: manager
Resolving Dependencies
--> Running transaction check
---> Package Percona-XtraDB-Cluster-57.x86_64 0:5.7.23-31.31.2.el7 will be installed
--> Processing Dependency: Percona-XtraDB-Cluster-client-57 = 5.7.23-31.31.2.el7 for package: Percona-XtraDB-Cluster-57-5.7.23-31.31.2.el7.x86_64
--> Processing Dependency: Percona-XtraDB-Cluster-server-57 = 5.7.23-31.31.2.el7 for package: Percona-XtraDB-Cluster-57-5.7.23-31.31.2.el7.x86_64
--> Running transaction check
---> Package Percona-XtraDB-Cluster-client-57.x86_64 0:5.7.23-31.31.2.el7 will be installed
---> Package Percona-XtraDB-Cluster-server-57.x86_64 0:5.7.23-31.31.2.el7 will be installed
--> Processing Dependency: Percona-XtraDB-Cluster-shared-57 = 5.7.23-31.31.2.el7 for package: Percona-XtraDB-Cluster-server-57-5.7.23-31.31.2.el7.x86_64
--> Processing Dependency: percona-xtrabackup-24 >= 2.4.12 for package: Percona-XtraDB-Cluster-server-57-5.7.23-31.31.2.el7.x86_64
--> Processing Dependency: qpress for package: Percona-XtraDB-Cluster-server-57-5.7.23-31.31.2.el7.x86_64
--> Processing Dependency: perl-DBD-MySQL for package: Percona-XtraDB-Cluster-server-57-5.7.23-31.31.2.el7.x86_64
--> Processing Dependency: socat for package: Percona-XtraDB-Cluster-server-57-5.7.23-31.31.2.el7.x86_64
--> Running transaction check
---> Package Percona-XtraDB-Cluster-shared-57.x86_64 0:5.7.23-31.31.2.el7 will be obsoleting
---> Package mariadb-libs.x86_64 1:5.5.60-1.el7_5 will be obsoleted
--> Processing Dependency: libmysqlclient.so.18()(64bit) for package: perl-DBD-MySQL-4.023-6.el7.x86_64
--> Processing Dependency: libmysqlclient.so.18()(64bit) for package: 2:postfix-2.10.1-7.el7.x86_64
--> Processing Dependency: libmysqlclient.so.18(libmysqlclient_18)(64bit) for package: perl-DBD-MySQL-4.023-6.el7.x86_64
--> Processing Dependency: libmysqlclient.so.18(libmysqlclient_18)(64bit) for package: 2:postfix-2.10.1-7.el7.x86_64
---> Package percona-xtrabackup-24.x86_64 0:2.4.12-1.el7 will be installed
--> Processing Dependency: perl(Digest::MD5) for package: percona-xtrabackup-24-2.4.12-1.el7.x86_64
--> Processing Dependency: libev.so.4()(64bit) for package: percona-xtrabackup-24-2.4.12-1.el7.x86_64
---> Package perl-DBD-MySQL.x86_64 0:4.023-6.el7 will be installed
---> Package qpress.x86_64 0:11-1.el7 will be installed
---> Package socat.x86_64 0:1.7.3.2-2.el7 will be installed
--> Running transaction check
---> Package Percona-XtraDB-Cluster-shared-compat-57.x86_64 0:5.7.23-31.31.2.el7 will be obsoleting
---> Package percona-xtrabackup-24.x86_64 0:2.4.12-1.el7 will be installed
--> Processing Dependency: libev.so.4()(64bit) for package: percona-xtrabackup-24-2.4.12-1.el7.x86_64
---> Package perl-Digest-MD5.x86_64 0:2.52-3.el7 will be installed
--> Processing Dependency: perl(Digest::base) >= 1.00 for package: perl-Digest-MD5-2.52-3.el7.x86_64
--> Running transaction check
---> Package percona-xtrabackup-24.x86_64 0:2.4.12-1.el7 will be installed
--> Processing Dependency: libev.so.4()(64bit) for package: percona-xtrabackup-24-2.4.12-1.el7.x86_64
---> Package perl-Digest.noarch 0:1.17-245.el7 will be installed
--> Finished Dependency Resolution
Error: Package: percona-xtrabackup-24-2.4.12-1.el7.x86_64 (percona-release-x86_64)
Requires: libev.so.4()(64bit)
**********************************************************************
yum can be configured to try to resolve such errors by temporarily enabling
disabled repos and searching for missing dependencies.
To enable this functionality please set 'notify_only=0' in /etc/yum/pluginconf.d/search-disabled-repos.conf
**********************************************************************

Error: Package: percona-xtrabackup-24-2.4.12-1.el7.x86_64 (percona-release-x86_64)
Requires: libev.so.4()(64bit)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

Comments

  • lorraine.pocklingtonlorraine.pocklington Percona Community Manager Legacy User Role Patron
    Hello vu3mmg thanks for asking

    First of all you have to do
    yum install epel-release
    

    and then after that
    yum install Percona-XtraDB-Cluster-server-57
    

    See how you get on?
Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.